# $Revision: 1.17 $, $Date: 2010/11/23 15:07:36 $

%define		module	Xlib

Summary:	X client library for Python
Summary(pl.UTF-8):	Biblioteka klienta X dla Pythona
Name:		python-%{module}
Version:	0.14
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/python-xlib/python-xlib-%{version}.tar.gz
# Source0-md5:	a038c2f410d8445f3fa8f6dcd45659c5
URL:		http://python-xlib.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python X Library is intended to be a fully functional X client
library for Python programs. It is written entirely in Python, in
contrast to earlier X libraries for Python (the ancient X extension
and the newer plxlib) which were interfaces to the C Xlib.

This is possible to do since X client programs communicate with the X
server via the X protocol. The communication takes place over TCP/IP,
Unix sockets, DECnet or any other suitable streaming network protocol.
The C Xlib is merely an interface to this protocol, providing
functions suited for a C environment.

There are three advantages of choosing to implement a pure Python
library:
- Integration: The library can make use of the wonderful object system
  in Python, providing an easy-to-use class hierarchy.
- Portability: The library will be usable on (almost) any computer
  which have Python installed. A C interface could be problematic to
  port to non-Unix systems, such as MS Windows or OpenVMS.

%description -l pl.UTF-8
Python X Library (biblioteka X dla Pythona) ma być w pełni
funkcjonalną biblioteką kliencką X dla programów w Pythonie. Jest
napisana całkowicie w Pythonie, w przeciwieństwie do poprzednich
bibliotek X dla Pythona (starego rozszerzenia X i nowszej plxlib),
które były interfejsami do Xlib w C.

Jest to możliwe do zrobienia ponieważ programy klienckie X komunikują
się z X serwerem za pomocą protokołu X. Komunikacja odbywa się poprzez
TCP/IP, gniazda uniksowe, DECnet lub dowolny inny strumieniowy
protokół sieciowy. Biblioteka Xlib w C jest jedynie interfejsem do
tego protokołu, dostarczając funkcje odpowiednie dla środowiska C.

Są trzy zalety wyboru implementacji jako czysto pythonowej biblioteki:
- integracja: biblioteka może używać cudownego systemu obiektowego
  Pythona, dostarczając łatwą w użyciu hierarchię klas
- przenośność: biblioteka będzie użyteczna na (prawie) każdym
  komputerze z zainstalowanym Pythonem. Interfejs w C mógłby być
  problematyczny do sportowania na systemy nieuniksowe, jak na przykład
  MS Windows czy OpenVMS.

%prep
%setup -q -n python-xlib-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/ -name \*.py | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%{py_sitescriptdir}/%{module}
%{_examplesdir}/%{name}-%{version}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_xlib-0.12-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Xlib.spec,v $
Revision 1.17  2010/11/23 15:07:36  lisu
- updated to 0.14
- use python macro
- BR: rpm-pythonprov
- adpapterized
- package egg-info

Revision 1.16  2010/07/08 08:44:45  arekm
- release 3

Revision 1.15  2008/10/03 18:03:29  arekm
- release 2

Revision 1.14  2007-02-27 14:03:12  patrys
- 0.13

Revision 1.13  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2004/12/23 22:42:16  saq
- release 2 for rebuild with python 2.4

Revision 1.9  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.8  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/06/08 13:31:32  leafnode
- updated to 0.12a

Revision 1.5  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/01/19 12:59:19  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.3  2004/01/05 21:36:16  qboosh
- pl, missing dir
- removed CFLAGS (unused), BA: noarch (pure-python library)

Revision 1.2  2004/01/05 19:53:46  qboosh
- fixed Source0 URL

Revision 1.1  2004/01/05 18:43:12  leafnode
- import
